kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ball, Ronald" <Ronald.B...@travelport.com>
Subject RE: Kafka version 0.7.0 and 7.0.1 failed to build
Date Tue, 21 Aug 2012 16:30:09 GMT
Kafka version 0.7.0 and 7.0.1 failed to build.  All steps thru "update" are successful.  The
"package" step fails with compile errors.  Why?

The solution was to upgrade the Linux server running "Red Hat Enterprise Linux Server release
5.6 (Tikanga)" from Java version "1.6.0_20" to Java version "1.6.0_31".  Unsure whether the
problem was the version, or " OpenJDK Runtime " versus "Java SE Runtime".  The "Quick Start"
did not list any prerequisites.  The "Operations" page lists java version "1.6.0_21".  Unsure
whether this works.

So, maybe a contributor to this project could add prerequisites to the quick start page for
future users.


java version "1.6.0_20"
OpenJDK Runtime Environment (IcedTea6 1.9.8) (rhel-1.22.1.9.8.el5_6-i386)
OpenJDK Client VM (build 19.0-b09, mixed mode)

java version "1.6.0_31"
Java(TM) SE Runtime Environment (build 1.6.0_31-b04)
Java HotSpot(TM) Client VM (build 20.6-b01, mixed mode, sharing)

If you are not the intended recipient of this e-mail message, please notify the sender 
and delete all copies immediately. The sender believes this message and any attachments 
were sent free of any virus, worm, Trojan horse, and other forms of malicious code. 
This message and its attachments could have been infected during transmission. The 
recipient opens any attachments at the recipient's own risk, and in so doing, the 
recipient accepts full responsibility for such actions and agrees to take protective 
and remedial action relating to any malicious code. Travelport is not liable for any 
loss or damage arising from this message or its attachments.



Mime
View raw message